# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-jappix
%define version 0.1
%define release 3
Summary: sme server integration of jappix
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://www.firewall-services.com
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-jappix-0.1-session_save_path.patch
Patch1: smeserver-jappix-0.1-split_main_conf_templates.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base
Requires: jappix
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of Jappix.
Jappix is a feature complete, web based XMPP client

%changelog
* Tue Dec 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- CASification ready

* Tue Dec 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Set session.save_path

* Sun Jul 10 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- Initial release

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

